Subject: list empty dirs in commit message trailer

From: Thomas Koch <[email-masked]>
Date: Tue, 18 Aug 2015 16:43 +0200

Hi,

I had an idea how to deal with tracking empty directories in git repositories 
when one does not want ".gitkeep" files. Just add a trailer like:

empty-dirs: a b/c a\nnewline exploit\" &&\ rm\ -rf \/ ..

this line would indicate that the worktree contained the empty directories a 
and b/c and contains examples for possible shell quoting problems or exploits.

So one can not just run mkdir -p and the content of the line but needs 
safeguards.

A pre-commit hook could add such a line to the commit message and another tool 
could create the directories for HEAD. There is no staging in this approach 
for empty directories and no ignore mechanism. But for my current use case 
(represent the content of debian source packages) this would be enough.

Do you like the idea?

Regards,

Thomas Koch